image: blang/latex

building-latex-master:
  stage: build
  script:
    - latexmk -pdf document.tex
  artifacts:
    paths:
      - "*.pdf"
    expire_in: 2 year
  only:
    - master
  tags:
    - docker

building-latex-other-branch:
  stage: build
  script:
    - latexmk -pdf document.tex
  artifacts:
    paths:
      - "*.pdf"
    expire_in: 2 week
  except:
    - master
  tags:
    - docker
